ST_RemoveIsoEdge
Prev | 10.6. Topology Editors | Next

## Name

ST_RemoveIsoEdge — Removes an isolated edge and returns description of action. If the edge is not isolated, then an exception is thrown.

## Synopsis

`text ST_RemoveIsoEdge(`varchar atopology, integer anedge`)`;

## Description

Removes an isolated edge and returns description of action. If the edge is not isolated, then an exception is thrown.

Availability: 1.1

This method implements the SQL/MM specification. SQL-MM: Topo-Geo and Topo-Net 3: Routine Details: X+1.3.3

## Examples

    -- Remove an isolated node with no face  --
    SELECT topology.ST_RemoveIsoNode('ma_topo',  7 ) As result;
             result
    -------------------------
     Isolated node 7 removed

## See Also

ST_AddIsoNode

Prev | Up | Next
ST_RemoveIsoNode | Home | GetEdgeByPoint